LangfordNumber Class Reference
Example scripts (models)

Example: Langford's number problem More...

## Public Types

enum | { PROP_REIFIED , PROP_EXTENSIONAL , PROP_EXTENSIONAL_CHANNEL }
| Propagation to use for model. More...

## Public Member Functions

| LangfordNumber (const LangfordNumberOptions &opt)
| Construct model.
virtual void | print (std::ostream &os) const
| Print solution.
| LangfordNumber (LangfordNumber &l)
| Constructor for cloning l.
virtual Space * | copy (void)
| Copy during cloning.
Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >
| ScriptBase (const Options &opt)
| Constructor.
| ScriptBase (ScriptBase &e)
| Constructor used for cloning.
virtual void | compare (const Space &home, std::ostream &os) const
| Compare with s.
Public Member Functions inherited from Gecode::Driver::IgnoreStepOption< BaseSpace >
| IgnoreStepOption (const Options &)
| Constructor.
| IgnoreStepOption (BaseSpace &e)
| Constructor used for cloning.

## Protected Attributes

int | k
int | n
| Problem parameters.
IntVarArray | y
| Sequence variables.

## Related Symbols

(Note that these are not member symbols.)
int | main (int argc, char *argv[])
| Main-function.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >
static std::ostream & | select_ostream (const char *sn, std::ofstream &ofs)
| Choose output stream according to sn.
static void | run (const Options &opt, Script *s=NULL)

## Detailed Description

Example: Langford's number problem

See problem 24 at http://www.csplib.org/.

Definition at line 80 of file langford-number.cpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Propagation to use for model.

Enumerator
PROP_REIFIED | Use reified constraints.
PROP_EXTENSIONAL | Use extensional constraints.
PROP_EXTENSIONAL_CHANNEL | Use extensional and channel constraints.

Definition at line 87 of file langford-number.cpp.

## Constructor & Destructor Documentation

## LangfordNumber() [1/2]

LangfordNumber::LangfordNumber | ( | const LangfordNumberOptions & | opt | ) |

inline

Construct model.

Definition at line 93 of file langford-number.cpp.

## LangfordNumber() [2/2]

LangfordNumber::LangfordNumber | ( | LangfordNumber & | l | ) |

inline

Constructor for cloning l.

Definition at line 173 of file langford-number.cpp.

## Member Function Documentation

## print()

virtual void LangfordNumber::print | ( | std::ostream & | os | ) | const

inline virtual

Print solution.

Reimplemented from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >.

Definition at line 168 of file langford-number.cpp.

## copy()

virtual Space * LangfordNumber::copy | ( | void |  | ) |

inline virtual

Copy during cloning.

Definition at line 180 of file langford-number.cpp.

## Friends And Related Symbol Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

related

Main-function.

Definition at line 190 of file langford-number.cpp.

## Member Data Documentation

## k

int LangfordNumber::k

protected

Definition at line 82 of file langford-number.cpp.

## n

int LangfordNumber::n

protected

Problem parameters.

Definition at line 82 of file langford-number.cpp.

## y

IntVarArray LangfordNumber::y

protected

Sequence variables.

Definition at line 83 of file langford-number.cpp.

The documentation for this class was generated from the following file:

- examples/langford-number.cpp